Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 591322 - Wallaby ignores the --host option (for QMF server address)
Summary: Wallaby ignores the --host option (for QMF server address)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby
Version: Development
Hardware: All
OS: Linux
low
high
Target Milestone: 1.3
: ---
Assignee: Will Benton
QA Contact: Lubos Trilety
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-11 21:28 UTC by Ken Giusti
Modified: 2010-10-20 11:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-20 11:28:54 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ken Giusti 2010-05-11 21:28:23 UTC
Description of problem:


Wallaby does not correctly pass along the value of the --host option to spqr.  


wallaby-agent takes the --host option and passes it as options[:host] to spqr.

But spqr takes the qmf server address from options[:server]!!!   Key mismatch!

Version-Release number of selected component (if applicable):

trunk

How reproducible:

100%

Steps to Reproduce:
1.  Start qpidd on non-localhost
2.  Attempt to start wallaby-agent with --host <non-local-host>
3.  wallaby-agent fails to connect.
  
Actual results:

fails to connect

Expected results:

wallaby should connect to the qpidd server.

Additional info:

Comment 1 Will Benton 2010-05-27 15:07:39 UTC
This is fixed in commit d93f320.

Comment 2 Lubos Trilety 2010-07-22 12:10:17 UTC
Tested with (version):
wallaby-0.6.1-2

Tested on:
RHEL5 x86_64  - passed
RHEL5 i386    - passed

>>> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.